%define		module	gitdb
Summary:	Python git object database
Name:		python-%{module}
Version:	2.0.5
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	https://github.com/gitpython-developers/gitdb/archive/%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	d33484c57b9e4599d5540bf0e7906881
URL:		http://pypi.python.org/pypi/gitdb
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules
Requires:	python-async >= 0.6.1
Requires:	python-smmap >= 0.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GitDB is a pure-Python git object database

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE
%dir %{py_sitescriptdir}/gitdb
%{py_sitescriptdir}/gitdb/*.py[co]
%dir %{py_sitescriptdir}/gitdb/db
%{py_sitescriptdir}/gitdb/db/*.py[co]
%dir %{py_sitescriptdir}/gitdb/utils
%{py_sitescriptdir}/gitdb/utils/*.py[co]
%dir %{py_sitescriptdir}/gitdb/test
%{py_sitescriptdir}/gitdb/test/*.py[co]
%{py_sitescriptdir}/gitdb2-*.egg-info
%changelog
* Wed Dec 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-gitdb.git;a=log;h=master

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> 9011c69
- updated to 2.0.5

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> cb8dfbe
- up to 2.0.3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 71613bb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 87739f0
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1629f11
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> ff89cbe
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 8fd4d05
- up to 0.6.0

* Thu Nov 01 2012 Artur Frysiak <artur@frysiak.net> ff265a1
- New

